# Method: accounts.customers.get

- [HTTP request](https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts.customers/get#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts.customers/get#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts.customers/get#body.request_body)
- [Response body](https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts.customers/get#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts.customers/get#body.aspect)
- [Try it!](https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts.customers/get#try-it)

Returns the requested `https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts.customers#Customer` resource.

Possible error codes:

- PERMISSION_DENIED: The reseller account making the request is different from the reseller account in the API request.
- INVALID_ARGUMENT: Required request parameters are missing or invalid.
- NOT_FOUND: The customer resource doesn't exist. Usually the result of an invalid name parameter.

Return value: The `https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts.customers#Customer` resource.

### HTTP request

`GET https://cloudchannel.googleapis.com/v1/{name=accounts/*/customers/*}`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The resource name of the customer to retrieve. Name uses the format: accounts/{account_id}/customers/{customer_id} |

### Request body

The request body must be empty.

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/channel/docs/reference/rest/v1/accounts.customers#Customer`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/apps.order`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).